# Generated from napkin-0.0.6.gem by gem2rpm -*- rpm-spec -*-
%global gem_name napkin

Name: rubygem-%{gem_name}
Version: 0.0.6
Release: 1%{?dist}
Summary: Jenkins build setup and runner
License: MIT
URL: https://github.com/liftopia/napkin
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10.0
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(rubocop) >= 0.24.1
# BuildRequires: rubygem(rubocop) < 0.25
BuildArch: noarch

%description
Simplifies the setup and preparation of job runs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%{_bindir}/napkin
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%{gem_instdir}/Gemfile.lock
%doc %{gem_instdir}/README.md
%{gem_instdir}/napkin.gemspec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.0.6-1
- Initial package
